Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Interface AlleleConsequenceAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface AlleleConsequenceAdaptor
extends Adaptor

Adaptor for retrievning and computing AlleleConsequences.

Author:
  Craig Melsopp

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch(Transcript transcript)` Return the AlleleConsequences for the transcript.
`java.util.List` | `fetch(Transcript transcript, java.util.List alleleFeatures)` Creates the AlleleTranscriptConsequences that result from applying the AlleleFeature to the transcript.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public java.util.List fetch(Transcript transcript,
                                java.util.List alleleFeatures)
                         throws AdaptorException

  Creates the AlleleTranscriptConsequences that result from applying the AlleleFeature to the transcript. An AlleleFeature may cause zero, one or more consequences on the transcript depending on whether and where it hits the transcript.

  Parameters:
    `transcript` - transcript of interest.
    `alleleFeatures` - zero or more AlleleFeatures to apply to the transcript.
  Returns:
    list of zero or more AlleleTranscriptConsequences representing the consequences of the alleles on the transcript.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Transcript transcript)
                         throws AdaptorException

  Return the AlleleConsequences for the transcript. A transcript may have zero or more AlleleConsequences. All AlleleFeatures that overlap the transcript or it's flanking regions (5000 bases up and downstream) are used.

  Parameters:
    `transcript` - transcript of interest.
  Returns:
    list of zero or more AlleleConsequences representing the consequences of relevant alleles on the transcript.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD